﻿using System.Collections.Generic;

namespace anbs_cp
{
    public static class LikeDelphi
    {
        /*
         * Аналог функции "IncludeTrailingBackslash
         */
        public static string IncludeTrailingBackslash(string Path)
        {
            string result = Path;
            int Index = Path.Length - 1;
            if (Path[Index] != '\\')
            {
                result = $"{Path}\\";
            }
            return result;
        }
        public static List<string> ParseString(string AString, char ADelim)
        {
            int from = -1;
            int to = AString.Length;
            List<string> result = new List<string>();
            do
            {
                from++;
                to = AString.IndexOf(ADelim, from);
                if (to <= 0)
                {
                    to = AString.Length;
                }
                if (from != to)
                    result.Add(AString.Substring(from, to - from));
                from = to;
            } while (to != AString.Length);
            return result;
        }
    }
}